/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Microscopy Filter
 */
public enum EnumCV_MicroscopyFilter {

	//Microscopy Filter - CID 8124
	GREEN_OPTICAL_FILTER_A_010E2("A-010E2"),
	RED_OPTICAL_FILTER_A_010DF("A-010DF"),
	BLUE_OPTICAL_FILTER_A_010DA("A-010DA"),
	INFRARED_OPTICAL_FILTER_A_010DC("A-010DC"),
	POLARIZING_OPTICAL_FILTER_A_010E1("A-010E1"),
	VIOLET_OPTICAL_FILTER_A_010DE("A-010DE"),
	ULTRAVIOLET_OPTICAL_FILTER_A_010DD("A-010DD"),
	DICHROIC_BEAMSPLITTER_A_0010F("A-0010F"),
	HOFFMAN_MODULATOR_A_00121("A-00121"),
	DARKFIELD_STOP_A_0011D("A-0011D"),
	RHEINBERG_FILTER_A_0011C("A-0011C"),
	PHASE_CONTRAST_PLATE_A_0011E("A-0011E"),
	CONDENSER_ANNULUS_A_00120("A-00120"),
	NOMARSKI_PRISM_A_0011F("A-0011F"),
	DE_SENARMONT_COMPENSATOR_A_00123("A-00123"),
	NO_FILTER_111609("111609");

	private String value;

	EnumCV_MicroscopyFilter(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
